org.keycloak.services.clientpolicy

## Class ClientPolicyModel

- java.lang.Object
- - org.keycloak.services.clientpolicy.ClientPolicyModel

- All Implemented Interfaces:
    Serializable

      public class ClientPolicyModel
      extends Object
      implements Serializable

  Author:
    Takashi Norimatsu
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `builtin`
    `protected List<Object>` | `conditions`
    `protected String` | `description`
    `protected boolean` | `enable`
    `protected String` | `name`
    `protected List<String>` | `profiles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientPolicyModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getConditions()`
    `String` | `getDescription()`
    `String` | `getName()`
    `List<String>` | `getProfiles()`
    `boolean` | `isBuiltin()`
    `boolean` | `isEnable()`
    `void` | `setBuiltin(boolean builtin)`
    `void` | `setConditions(List<Object> conditions)`
    `void` | `setDescription(String description)`
    `void` | `setEnable(boolean enable)`
    `void` | `setName(String name)`
    `void` | `setProfiles(List<String> profiles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### description

          protected String description

    - #### builtin

          protected boolean builtin

    - #### enable

          protected boolean enable

    - #### conditions

          protected List<Object> conditions

    - #### profiles

          protected List<String> profiles

  - ### Constructor Detail

    - #### ClientPolicyModel

          public ClientPolicyModel()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isBuiltin

          public boolean isBuiltin()

    - #### setBuiltin

          public void setBuiltin(boolean builtin)

    - #### isEnable

          public boolean isEnable()

    - #### setEnable

          public void setEnable(boolean enable)

    - #### getConditions

          public List<Object> getConditions()

    - #### setConditions

          public void setConditions(List<Object> conditions)

    - #### getProfiles

          public List<String> getProfiles()

    - #### setProfiles

          public void setProfiles(List<String> profiles)

Copyright © 2021 JBoss by Red Hat. All rights reserved.